Subject: Re: OIDs as URIs

From: "Phillip H. Griffin" <[email-masked]>
Date: Sat, 02 Dec 2000 13:59:25 -0500

Frank Balluffi wrote (in part):

snip
 
> I am still confused as to the purpose of a Uniform Resource Identifier (URI)
> for an object identifier. It seems to me that a URI identifies a way to use
> a resource whereas an object identifier just identifies something (e.g., an
> algorithm).
> 
> For example, suppose I have a URI for the RSA encryption algorithm, what can
> I do with it?
> 
> Frank

Frank,

I'm not sure, but I think that the U must stand for
Universal, with the idea here that everything in the
universe can be improved by making it a web resource,
either real or pretend. 

That could explain why when clicking on the link 
<DigestMethod 
  Algorithm="http://www.w3.org/2000/01/xmldsig/sha1"/> 
from draft-ietf-pkix-scvp-04.txt, all that I get for 
now is "Sorry, Not Found".

This work is just at the draft stage. But it's not so
hard to imagine that one day, when the work is complete, 
that there will actually be a helpful web page at this
address with useful sha1 information available in all
of the world's languages.

Quite a production for a simple little switch.

But it strikes me that if folks were actually required
to construct and maintain a new web page for each and
every OID they ever issued, it might help to slow down
the OID growth rate. This could be a good thing!

Phil